Sound not configured properly on Sony Vaios using snd_hda_intel

Bug #195605 reported by Michael Doube on 2008-02-25
80
This bug affects 9 people
Affects Status Importance Assigned to Milestone
ALSA driver
New
Unknown
HAL
Invalid
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
Nominated for Lucid by Sergey K

Bug Description

Recent Sony Vaios use snd_hda_intel for audio, which is generally good and supported by alsa >= 1.0.15, but the Ubuntu installer does not properly detect hardware and configure the driver. The well-known fix to this bug is to install the newest available alsa and add to the end of /etc/modprobe.d/alsa-base these 3 lines:

alias snd-card-0 snd-hda-intel
options snd-card-0 index=0
options snd-hda-intel model=vaio

Then restart ALSA:

]$ sudo /etc/init.d/alsa-utils restart

(In Jaunty, alsa-base has been renamed to alsa-base.conf and you have to restart your machine to effect any change; also see https://bugs.launchpad.net/ubuntu/+source/linux/+bug/195605/comments/37)

This enables the headphone jack, speaker muting on headphone insertion, the internal microphone (and I think the mic jack, though I haven't tested it), which otherwise don't work.

Andy Whitcroft reckons this can be handled by the kernel's quirk subsystem if appropriate info is provided:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/195605/comments/24

So can people please add comments with their model number, the working "model=<something>" string from /etc/modprobe.d/alsa-base and attach the output of

]$ sudo lspci -vvnn > lspci.txt

For VGN-: NR11Z, N31M
Use: options snd-hda-intel model=sony-assamd

For VGN-: SZ650N, SZ61, FZ11S, FZ15G
Use: options snd-hda-intel model=vaio

For VGN-: AR51M
Use: options snd-hda-intel model=vaio enable=1 index=0 position_fix=1 probe_mask=1

For VGN-: FZ140E, FE41E
Use: unknown

Michael Doube (michael-doube) wrote :
Michael Doube (michael-doube) wrote :

I might add that this was last tested on Hardy alpha 5.

Colin Watson (cjwatson) wrote :

The Ubuntu installer intentionally doesn't do anything to detect sound hardware, and in fact nowadays does rather little to detect hardware at all. This is mainly the job of the kernel nowadays, so reassigning.

Colin Watson (cjwatson) wrote :

The dmesg attachment, incidentally, is useless; it's full of "TKIP decrypt failed for RX frame". You might find more of use in /var/log/syslog.

Michael Doube (michael-doube) wrote :

Sorry about that dmesg, here's syslog from a LiveCD session, hardy a5.

description: updated
Changed in alsa-driver:
status: Unknown → New
Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged
Michael Doube (michael-doube) wrote :

This bug is still present when I run the Hardy Beta LiveCD

harrydance (harry-dance) wrote :

I'd like to add this bug applies to my Sony Vaio VGN-FZ11S laptop too, so maybe it applies to all sony laptops. The same fix works but it'd be nice for this to work "out of the box"

Michael Doube (michael-doube) wrote :

This bug is still present in Intrepid alpha 4

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Michael Doube (michael-doube) wrote :

This bug is still present in Intrepid alpha 5

Michael Doube (michael-doube) wrote :

This bug is still present in Intrepid alpha 6

Andy Mathay (andymathay) wrote :

This bug is still present in the Intrepid Beta.

tbenacch (tbenacch) wrote :

This bug is present also on SZ61 with Hardy

Frank Zimmer (frank-e-zimmer) wrote :

The bug still exists under Intrepid with the Kernel version 2.6.27-9-generic. The solution described above does not work for me (Sony Vaio VGN-FE41E). The sound does not work from the beginning. I can only hear chopped versions of the music.

description: updated

Dear Michael,

There is still mo sound out of my box :-(
I have the following (k)ubuntu alsa packages installed:
alsa-base, version 1.0.17
alsa-utils, version 1.0.17
linux-sound-base, version 1.0.17

I added the lines as you described and used /etc/init.d/alsa-utils restart.
This did not change the situation.
I also tried the command: alsa reload. This led to the same result. Do you
think it is worth installing the newest version 1.0.18a of the alsa-driver
from the project homepage?

I would be very grateful for any help or good hint.

Frank

2008/12/16 Michael Doube <email address hidden>

> ** Description changed:
>
> The Sony Vaio SZ6 series use snd_hda_intel, which is generally good and
> supported by alsa >= 1.0.15, but the Ubuntu installer does not properly
> detect hardware and configure the driver. The well-known fix to this
> bug is to install the newest available alsa and add to the end of
> /etc/modprobe.d/alsa-base these 3 lines:
>
> alias snd-card-0 snd-hda-intel
> options snd-card-0 index=0
> options snd-hda-intel model=vaio
> +
> + Then restart ALSA:
> +
> + ]$ sudo /etc/init.d/alsa-utils restart
>
> This enables the headphone jack, speaker muting on headphone insertion,
> the internal microphone (and I think the mic jack, though I haven't
> tested it), which otherwise don't work. A bit of a pain when your Mum
> is nagging you to Skype her.
>
> I thought that alsaconf from alsa-utils >= 1.0.15 helped with this
> configuration problem, but it doesn't with alsa-utils-1.0.16. Just
> adding the above 3 lines does it.
>
> I'm pretty sure this affects a broad range of newer Vaios.
>
> Clearly, sound should work properly out of the box - which it almost
> does.
>
> --
> Sound not configured properly on Sony Vaios using snd_hda_intel
> https://bugs.launchpad.net/bugs/195605
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Michael Doube (michael-doube) wrote :

Frank

What sound device is in the FE41E? in a terminal, run:

]$ lspci

there should be a line that looks like:

00:1b.0 Audio device: ...

(the SZ6 has onboard sound, an Intel HD Audio Controller)

Also, I've not done much with Intrepid yet, and I think the sound setup is quite different there than Hardy. It might be worth your doing some research on pulseaudio.

Frank Zimmer (frank-e-zimmer) wrote :

Michael,

here is what lspci told me:
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 02)

Thanks for the hint with pulseaudio.

Frank

2008/12/17 Michael Doube <email address hidden>

> Frank
>
> What sound device is in the FE41E? in a terminal, run:
>
> ]$ lspci
>
> there should be a line that looks like:
>
> 00:1b.0 Audio device: ...
>
> (the SZ6 has onboard sound, an Intel HD Audio Controller)
>
> Also, I've not done much with Intrepid yet, and I think the sound setup
> is quite different there than Hardy. It might be worth your doing some
> research on pulseaudio.
>
> --
> Sound not configured properly on Sony Vaios using snd_hda_intel
> https://bugs.launchpad.net/bugs/195605
> You received this bug notification because you are a direct subscriber
> of the bug.
>

strangedata (rcteigao) wrote :

On my Sony Vaio VGN-FZ140E I've got the same problem. No sound on the headphones and the speaker doesn't turn off when I plug in the phone.

The modifications suggested didn't work... I still got the sound out of the speakers and now sound on the phones.

lspci shows:
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

tran (nart) wrote :

Same bug on Sony Vaio VGN-NR11Z. It can be solved by adding the following to /etc/modprobe.d/alsa-base:

options snd-hda-intel model=sony-assamd

Good luck!

PS It would be nice if this is correctly autodetected. Please let me know if and how I can provide you with more information.

Michael Doube (michael-doube) wrote :

Speaker muting on headphone insertion is still broken in Jaunty alpha 4

Seeed (nielsfranke) wrote :

Also same bug on a Sony Vaio VGN-N31m.

Can also be solved by adding the following line at the end of "/etc/modprobe.d/alsa-base":

options snd-hda-intel model=sony-assamd

Michael Doube (michael-doube) wrote :

Martin & HAL peeps

This bug is getting no love , so I wonder if it's pointed at the right packages? I'm not sure what the process is for sound hardware detection and configuration, so have pointed it at HAL just in case (sorry if it's spam in your hands...).

description: updated
Andy Whitcroft (apw) wrote :

If people with these devices are able to fix their systems via a model=<something> assignement in their /etc/modprobe.d/alsa-base, like this:

    options snd-hda-intel model=sony-assamd

Then it should be possible to get the kernel to assign these automatically via the quirks subsystem. To do that we would need the lspci -vvnn output _and_ the appropriate model=<something> line for each.

If people could report that information on this bug.

Changed in linux:
status: Triaged → Incomplete
Michael Doube (michael-doube) wrote :

Hi Andy, now I'm feeling the love :-)

Here's the information you request for my Vaio VGN-SZ650N:

model=vaio

]$ sudo lspci -vvnn
(attached)

description: updated
Seeed (nielsfranke) wrote :

For Sony Vaio VGN-N31m

model=sony-assamd

Michael Doube (michael-doube) wrote :

Something is still going wrong in Jaunty alpha 6. alsa-base is now empty, and adding lines to it doesn't help. My Vaio SZ650 still doesn't respond to headphone insertion and the internal mic doesn't record any sound.

The latest update spoils my Vaio VGN-SZ6RMN completely. Now I hear only cracking sound. Before that ( 9.04 alpha 5) everything worked fine. What's happened?

Michael Doube (michael-doube) wrote :

Nikolay,

Check out bug #326205

Seems like quite a few people are having trouble with audio set up.

Is it all sound that you are having trouble with, or just a few particular sounds?

Hi Michael,

It seems one of upgrades removed these lines. Yesterday I made update and
put absent lines
options snd-card-0 index=0
options snd-hda-intel model=vaio
alias snd-card-0 snd-hda-intel
to alsa-base.conf and got sound after reboot of the computer. Resetting
alsa driver without reboot
( sudo /etc/init.d/alsa-utils restart ) did not helped.

Thanks.

On Mon, Mar 23, 2009 at 3:43 AM, Michael Doube <email address hidden> wrote:

> Nikolay,
>
> Check out bug #326205
>
> Seems like quite a few people are having trouble with audio set up.
>
> Is it all sound that you are having trouble with, or just a few
> particular sounds?
>
> --
> Sound not configured properly on Sony Vaios using snd_hda_intel
> https://bugs.launchpad.net/bugs/195605
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in ALSA driver: New
> Status in Hardware Abstraction Layer (HAL): New
> Status in “linux” source package in Ubuntu: Incomplete
>
> Bug description:
> Recent Sony Vaios use snd_hda_intel for audio, which is generally good and
> supported by alsa >= 1.0.15, but the Ubuntu installer does not properly
> detect hardware and configure the driver. The well-known fix to this bug is
> to install the newest available alsa and add to the end of
> /etc/modprobe.d/alsa-base these 3 lines:
>
> alias snd-card-0 snd-hda-intel
> options snd-card-0 index=0
> options snd-hda-intel model=vaio
>
> Then restart ALSA:
>
> ]$ sudo /etc/init.d/alsa-utils restart
>
> This enables the headphone jack, speaker muting on headphone insertion, the
> internal microphone (and I think the mic jack, though I haven't tested it),
> which otherwise don't work.
>
> Andy Whitcroft reckons this can be handled by the kernel's quirk subsystem
> if appropriate info is provided:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/195605/comments/24
>
> So can people please add comments with their model number, the working
> "model=<something>" string from /etc/modprobe.d/alsa-base and attach the
> output of
> ]$ sudo lspci -vvnn | > lspci.txt
>
> For VGN-: NR11Z, N31M
> Use: options snd-hda-intel model=sony-assamd
>
> For VGN-: SZ650N, SZ61, FZ11S
> Use: options snd-hda-intel model=vaio
>
> For VGN-: FZ140E, FE41E
> Use: unknown
>

clockmender (alanodom) wrote :
Download full text (27.5 KiB)

I have tried everything listed on here and all other forums to get sound from my headphne socket and nothing works, this is definitely still a bug in Intrepid on Sony Vaio (my model is the PCG8112M with Realtec ALC262 soundcard

I have this is my alsa-base:

options snd-hda-intel model=sony-assamd

What else can I do to get this thing to work?

Does this help at all

alan@vaio:~$ sudo lspci -vvnn
00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 0c)
 Subsystem: Sony Corporation Device [104d:9016]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
 Latency: 0
 Capabilities: [e0] Vendor Specific Information <?>
 Kernel modules: intel-agp

00:01.0 PCI bridge [0604]: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port [8086:2a01] (rev 0c)
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
 I/O behind bridge: 00002000-00002fff
 Memory behind bridge: cc000000-ceffffff
 Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
 Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
 BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
  PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
 Capabilities: [88] Subsystem: Sony Corporation Device [104d:9016]
 Capabilities: [80] Power Management version 3
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable+
  Address: fee0300c Data: 41c1
 Capabilities: [a0] Express (v1) Root Port (Slot+), MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
   ExtTag- RBE+ FLReset-
  DevCtl: Report errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
   RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
   MaxPayload 128 bytes, MaxReadReq 128 bytes
  DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
  LnkCap: Port #2, Speed 2.5GT/s, Width x16, ASPM L0s L1, Latency L0 <256ns, L1 <4us
   ClockPM- Suprise- LLActRep- BwNot-
  LnkCtl: ASPM L0s L1 Enabled; RCB 64 bytes Disabled- Retrain- CommClk+
   ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed 2.5GT/s, Width x16, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
  SltCap: AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surpise-
   Slot # 1, PowerLimit 75.000000; Interlock- NoCompl+
  SltCtl: Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
   Control: AttnInd Off, PwrInd On, Power- Interlock-
  SltSta: Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
   Changed: MRL- PresDet+ LinkState-
  RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
  RootCap: CRSVisible-
  RootSta: PME ReqID 0000, PMESta...

Michael Doube (michael-doube) wrote :

I can confirm Nikolay's observation using Jaunty beta on a Vaio SZ650N

Martin Pitt (pitti) on 2009-04-01
Changed in hal:
status: New → Invalid
Seeed (nielsfranke) wrote :

I can confirm this too.
Adding the line "options snd-hda-intel model=sony-assamd" to "/etc/modprobe.d/alsa-base.conf" instead of "/etc/modprobe.d/alsa-base" and restarting afterwards solved the problem in Jaunty for my VGN-N31M.

Michael Doube (michael-doube) wrote :

Confirming bug still present in Jaunty RC

description: updated
description: updated
Nacho (naxopb-swlaunch) wrote :

I can confirm Jaunty RC still has the issue.

Solved for VAIO VGN-AR51M with:
options snd-hda-intel model=vaio

I am attaching the lspci data file.

Marten (martenp-bewildered) wrote :

Laptop: Vaio VGN-FZ15G

Issue exists in Jaunty Desktop (x86 32 bit) final release
model=vaio resolves issue. Result of lscpi command attached.

description: updated
johny (johny454) wrote :

I confirm this occuring on the final Jaunty.
Made several test trying to figure it out.
On releases prior to Jaunty it's enough to
add this

"alias snd-card-0 snd-hda-intel
options snd-card-0 index=0
options snd-hda-intel model=vaio"

But, after upgrading the sound is still messy.

To solve you need to add (just in one line) the following

options snd-hda-intel model=vaio enable=1 index=0 position_fix=1 probe_mask=1

That should make switching back to normal.

Thanks to ubuntuforums.

Michael Doube (michael-doube) wrote :

johny

Thanks for the information - could you post a link to the thread on ubuntuforums and tell us what model of Vaio you are using?

description: updated
johny (johny454) wrote :

Michael,

I'm sorry I posted on the fly and completely forgot about the model and the thread.
When I realized they were missing, It came to me that editing again isn't possible here (I'm pretty new to launchpad).

To the point though:

Vaio Model is a VGN-AR51M

The tread that helped me came through this is here

http://ubuntuforums.org/showthread.php?t=1139804

Happy to help you.

description: updated
description: updated
Michael Doube (michael-doube) wrote :

Testing Karmic alpha 4:

Speakers are muted on headphone insertion
External and internal microphones work (hooray!)

However, I have to switch manually the output to headphones (they are silent after I insert them) and manually select which mic I'm going to use, and the locations of these switches are not especially obvious.

Can I suggest that the default behaviour should be that the internal devices are selected by default, then if external input or output is detected, the respective internal devices are muted and the input and output automatically switch to the external devices. In other words, when I plug in my headphones, I want my notebook to behave sensibly about it and not to have to ferret about looking for a software switch.

I have the same problem as Michael Doube (comment #40).

I am running a Sony Vaio VGN-AR41E.

Plugging in headphones will mute main speakers, but no sound can be hear from the headphones either.
The only solution is to specifically choose the headphone slot as the output.

This laptop also has an optical output, which doesn't seem to work at all - fortunately, I never use it anyway.

Codec: SigmaTel CXD9872AKD
Codec: Conexant ID 2c06

Also, I am running Ubuntu Karmic Alpha 4.

Dust (andreydust) wrote :

Thanks, it work!

My model: Sony Vaio VGN-AR51SRU

Work config:
options snd-hda-intel model=vaio enable=1 index=0 position_fix=1 probe_mask=1

Michael Doube (michael-doube) wrote :

After today's updates to Pulseaudio, headphone insertion now mutes internal speakers and switches output to headphones.

Excellent! Confirmed!

It's nice when it feels like progress has been made.

Michael Doube (michael-doube) wrote :

How about the microphone though; if I plug in an external mic, the input source stays set to the internal mic and I have to switch input sources manually. Seems like there are a few bugs about like this and they should be aimed at Pulseaudio

Michael Doube (michael-doube) wrote :

Reported bug #417633 to deal with mic switching

I have a Sony Vaio VGN-FW139E. I am on Ubuntu 9.04. The above hasn't helped me yet in getting the internal mic working. Everything else (external mic, sound out, headphone etc.) works fine. Any suggestions?

Thanks!
Partha

Relevant details (please let me know if you need more details):

lspci -vvnn:
01:00.1 Audio device [0403]: ATI Technologies Inc RV620 Audio device [Radeon HD 34xx Series] [1002:aa28]
 Subsystem: Sony Corporation Device [104d:9035]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin B routed to IRQ 17
 Region 0: Memory at d0030000 (32-bit, non-prefetchable) [size=16K]
 Capabilities: [50] Power Management version 3
  Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [58] Express (v2) Legacy Endpoint, MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <4us, L1 unlimited
   ExtTag+ AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
  DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
   RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
   MaxPayload 128 bytes, MaxReadReq 128 bytes
  DevSta: CorrErr+ UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
  LnkCap: Port #0, Speed 2.5GT/s, Width x16, ASPM L0s L1, Latency L0 <64ns, L1 <1us
   ClockPM- Suprise- LLActRep- BwNot-
  LnkCtl: ASPM L0s L1 Enabled; RCB 64 bytes Disabled- Retrain- CommClk+
   ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed 2.5GT/s, Width x16, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
 Capabilities: [a0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
  Address: 0000000000000000 Data: 0000
 Capabilities: [100] Vendor Specific Information <?>
 Kernel driver in use: HDA Intel
 Kernel modules: snd-hda-intel

2) /etc/modprobe.d/alsa-base.conf:
alias snd-card-0 snd-hda-intel
options snd-card-0 index=0
options snd-hda-intel model=vaio enable=1 index=0 position_fix=1 probe_mask=1

3) uname -a
Linux Bordeaux 2.6.28-15-generic #49-Ubuntu SMP Tue Aug 18 18:40:08 UTC 2009 i686 GNU/Linux

Linux Bordeaux 2.6.31-13-generic #44-Ubuntu SMP Sat Oct 10 15:27:55 UTC 2009 i686 GNU/Linux
Running 9.10
Sony VaiGN-FW139E

internal mic (the one next to the webcam) does not work. Have to attach a physical mic to get the other mic port which works.
The current ALSA version is still 1.0.20. Is it true that 1.0.21 has this fixed?

Michael Doube (michael-doube) wrote :

Partha

I get my internal mic to work by switching to it in the sound preferences -> input dialog (internal is microphone 2), also on Karmic (Vaio SZ650). Right click on the speaker icon. See bug #417633

Hi Michael,

Thanks for the info. I can't seem to activate the mic doing that. I
keep switching to microphone 2 and all I get is silence. I think
Pulseaudio is the culprit here.

My Vaio is vgn-fw139e if that matters. Everything else works fine
including my internal video camera.

Did you do anything special other than what you mentioned below?

Thanks for your help.

Partha

On Sun, Oct 11, 2009 at 3:17 PM, Michael Doube <email address hidden> wrote:
> Partha
>
> I get my internal mic to work by switching to it in the sound
> preferences -> input dialog (internal is microphone 2), also on Karmic
> (Vaio SZ650).  Right click on the speaker icon.  See bug #417633
>
> --
> Sound not configured properly on Sony Vaios using snd_hda_intel
> https://bugs.launchpad.net/bugs/195605
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in ALSA driver: New
> Status in Hardware Abstraction Layer (HAL): Invalid
> Status in “linux” package in Ubuntu: Incomplete
>
> Bug description:
> Recent Sony Vaios use snd_hda_intel for audio, which is generally good and supported by alsa >= 1.0.15, but the Ubuntu installer does not properly detect hardware and configure the driver.  The well-known fix to this bug is to install the newest available alsa and add to the end of /etc/modprobe.d/alsa-base these 3 lines:
>
> alias snd-card-0 snd-hda-intel
> options snd-card-0 index=0
> options snd-hda-intel model=vaio
>
> Then restart ALSA:
>
> ]$ sudo /etc/init.d/alsa-utils restart
>
> (In Jaunty, alsa-base has been renamed to alsa-base.conf and you have to restart your machine to effect any change; also see https://bugs.launchpad.net/ubuntu/+source/linux/+bug/195605/comments/37)
>
> This enables the headphone jack, speaker muting on headphone insertion, the internal microphone (and I think the mic jack, though I haven't tested it), which otherwise don't work.
>
> Andy Whitcroft reckons this can be handled by the kernel's quirk subsystem if appropriate info is provided:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/195605/comments/24
>
> So can people please add comments with their model number, the working "model=<something>" string from /etc/modprobe.d/alsa-base and attach the output of
>
> ]$ sudo lspci -vvnn > lspci.txt
>
> For VGN-: NR11Z, N31M
> Use:    options snd-hda-intel model=sony-assamd
>
> For VGN-: SZ650N, SZ61, FZ11S, FZ15G
> Use:    options snd-hda-intel model=vaio
>
> For VGN-: AR51M
> Use:        options snd-hda-intel model=vaio enable=1 index=0 position_fix=1 probe_mask=1
>
> For VGN-: FZ140E, FE41E
> Use: unknown
>

On Karmic, no I didn't have to do anything else. I haven't even
modified the config file as was necessary in Hardy as I think the quirk
has been added into the kernel for my hardware.

Partha wrote:
> Hi Michael,
>
> Thanks for the info. I can't seem to activate the mic doing that. I
> keep switching to microphone 2 and all I get is silence. I think
> Pulseaudio is the culprit here.
>
> My Vaio is vgn-fw139e if that matters. Everything else works fine
> including my internal video camera.
>
> Did you do anything special other than what you mentioned below?
>
> Thanks for your help.
>
> Partha
>
>
> On Sun, Oct 11, 2009 at 3:17 PM, Michael Doube <email address hidden> wrote:
>
>> Partha
>>
>> I get my internal mic to work by switching to it in the sound
>> preferences -> input dialog (internal is microphone 2), also on Karmic
>> (Vaio SZ650). Right click on the speaker icon. See bug #417633
>>
>> --
>> Sound not configured properly on Sony Vaios using snd_hda_intel
>> https://bugs.launchpad.net/bugs/195605
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in ALSA driver: New
>> Status in Hardware Abstraction Layer (HAL): Invalid
>> Status in “linux” package in Ubuntu: Incomplete
>>
>> Bug description:
>> Recent Sony Vaios use snd_hda_intel for audio, which is generally good and supported by alsa >= 1.0.15, but the Ubuntu installer does not properly detect hardware and configure the driver. The well-known fix to this bug is to install the newest available alsa and add to the end of /etc/modprobe.d/alsa-base these 3 lines:
>>
>> alias snd-card-0 snd-hda-intel
>> options snd-card-0 index=0
>> options snd-hda-intel model=vaio
>>
>> Then restart ALSA:
>>
>> ]$ sudo /etc/init.d/alsa-utils restart
>>
>> (In Jaunty, alsa-base has been renamed to alsa-base.conf and you have to restart your machine to effect any change; also see https://bugs.launchpad.net/ubuntu/+source/linux/+bug/195605/comments/37)
>>
>> This enables the headphone jack, speaker muting on headphone insertion, the internal microphone (and I think the mic jack, though I haven't tested it), which otherwise don't work.
>>
>> Andy Whitcroft reckons this can be handled by the kernel's quirk subsystem if appropriate info is provided:
>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/195605/comments/24
>>
>> So can people please add comments with their model number, the working "model=<something>" string from /etc/modprobe.d/alsa-base and attach the output of
>>
>> ]$ sudo lspci -vvnn > lspci.txt
>>
>> For VGN-: NR11Z, N31M
>> Use: options snd-hda-intel model=sony-assamd
>>
>> For VGN-: SZ650N, SZ61, FZ11S, FZ15G
>> Use: options snd-hda-intel model=vaio
>>
>> For VGN-: AR51M
>> Use: options snd-hda-intel model=vaio enable=1 index=0 position_fix=1 probe_mask=1
>>
>> For VGN-: FZ140E, FE41E
>> Use: unknown
>>
>>
>
>

yokodi (dirk-put) wrote :

Dear,
I have tried adding the lines as mentioned above but I still do have a problem with my microphone.
Hereby the output
01:00.1 Audio device [0403]: ATI Technologies Inc R700 Audio Device [Radeon HD 4000 Series] [1002:aa38]
 Subsystem: Sony Corporation Device [104d:906b]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin B routed to IRQ 10
 Region 0: Memory at d0030000 (32-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel modules: snd-hda-intel

Model Sony Vaio PCG-7182M

Can you please help me?
If you need more information I'm gladly willing to provide this.
Thanks already in advance.
Best regards
Dirk Put

David (dcantin) wrote :

Hi !

I also have a little problem with my integrated mic on my VAIO SR140D

I'm on karmic and a lspci give me the following output :

00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
01:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8040 PCI-E Fast Ethernet Controller (rev 12)
04:00.0 Network controller: Intel Corporation Wireless WiFi Link 5100
06:03.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
06:03.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
06:03.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)

I'm able to made it work well but I have to add the option "model=toshiba-s06" in /etc/modprobe.d/alsa-base.conf for the line beginning by "otions snd-hda-intel" (taken from [0]).

The final magic touch that made the internal mic working is inserting and removing a 3.5 mm jack in the external mic connector. After that, my internal mic work perfectly for

I don't known what to do from there.. so advices are welcome ;)

David

[0] http://ubuntuforums.org/archive/index.php/t-1255139.html

David (dcantin) wrote :

I can't edit my post, so i put the errata for the comment comment #53 here :

The final magic touch that made the internal mic working is inserting and removing a 3.5 mm jack in the external mic connector. After that, my internal mic work perfectly for

should be

The final magic touch that made the internal mic working is inserting and removing a 3.5 mm jack in the external mic connector. After that, my internal mic work perfectly for some minutes, then, I have to redo the " inserting and removing a 3.5 mm jack" and it's working again.

grabble (grabblewick) wrote :

Hello,

I just buy a Sony VAIO VPCEB1E1E with Kubuntu Karmic.

Sound card is : realtek ALC269.

Internal speaker AND headphones are not working, I have tried different model "options snd-hda-intel model" and try the realtek drivers, no results.

Can someone help me ? if you got the same VAIO model, or a new VPC E series (core i3).

Thanks a lot,

Thomas.

Simos Xenitellis  (simosx) wrote :

All these audio chipset problems are related to the hardware support in the Linux kernel component for audio called 'ALSA', http://www.alsa-project.org/
The place where these issues are resolved is the mailing list called 'alsa-devel' (at http://mailman.alsa-project.org/mailman/listinfo/alsa-devel).

The general idea is that for each case of hardware problem, we file reports here on launchpad.net and then we contact alsa-devel for help. If you are an end-user, you probably do not need to contact alsa-devel yourselves.

As an end-user with the affected hardware, what you need to do in order to help solve your audio chipset problem is to obtain the audio hardware details of your computer and make it available here.
To do so, you can open a terminal window and run the command

wget -O alsa-info.sh http://alsa-project.org/alsa-info.sh && bash ./alsa-info.sh

You will be prompted to send the details to the alsa-project.org website. Answer Yes and then post the URL with the details in the bug report. The URL looks something like 'http://www.alsa-project.org/db/?f=fd4e474d6a86b436ec099186793df142a2b94170'.

Your audio hardware will be fully supported if you do not need to specify manually an 'options' line; it should just work.

~Nobody~ (0nobody) wrote :

Hello, I have a Sony Vaio VPCM11M1E netbook.

I am trying Ubuntu Netbook Edition 10.04 LTS using a flash drive prior to installing on the hard disc. But I discovered that the headphones and microphone jacks are not working (but I do get sound from the built in speakers, which gets cut off when I insert my head phones). In order to solve this problem I then used Linux Mint 9, again from a flash drive so that I could run HardInfo in order to find out what chip sets are involved. Any way I also ran the command

wget -O alsa-info.sh http://alsa-project.org/alsa-info.sh && bash ./alsa-info.sh

See http://www.alsa-project.org/db/?f=039acfef3019910bec036eb562b3b20559705550 for my results.

Nb. I set snd-hda-intel model=assamd prior to doing the above as well as trying snd-hda-intel model=vaio AND model=auto.

I've not tried Alsa version 1.0.23 as that would seem to require building from source and the instructions I have for doing that seem a little daunting!

So any suggestions as to where I go from here?

~Nobody~ (0nobody) wrote :

Hello again,

As an update to my previous comment (No. # 57),
I have now built and installed the Alsa version 1.0.23 drivers and both my headphones and microphone jacks are now working!

My thanks go to finding this ALSA upgrade script:-

 http://ubuntuforums.org/showthread.php?t=1046137&highlight=realtek+alc269

Jeremy Foshee (jeremyfoshee) wrote :

invalidated the kernel task as this appears to be a driver issue.

~JFo

Changed in linux (Ubuntu):
status: Incomplete → Invalid
Jonathan Olson (olso4539) wrote :
Download full text (21.2 KiB)

I'm running a Sony Vaio RA840G, clean install of ubuntu 10.4
The three line fix did not work, my computer will not play any sound.

Output from sudo lspci -vvnn > lspci.txt

00:00.0 Host bridge [0600]: Intel Corporation 82945G/GZ/P/PL Memory Controller Hub [8086:2770] (rev 81)
 Subsystem: Sony Corporation Device [104d:81dd]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort+ <MAbort+ >SERR- <PERR- INTx-
 Latency: 0
 Capabilities: [e0] Vendor Specific Information <?>
 Kernel modules: intel-agp

00:01.0 PCI bridge [0604]: Intel Corporation 82945G/GZ/P/PL PCI Express Root Port [8086:2771] (rev 81)
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 32 bytes
 Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
 I/O behind bridge: 0000b000-0000bfff
 Memory behind bridge: fdb00000-fdbfffff
 Prefetchable memory behind bridge: 00000000d8000000-00000000dfffffff
 Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
 BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-
  PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
 Capabilities: [88] Subsystem: Sony Corporation Device [104d:81dd]
 Capabilities: [80] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable+
  Address: fee0300c Data: 4159
 Capabilities: [a0] Express (v1) Root Port (Slot+), MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
   ExtTag- RBE- FLReset-
  DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
   RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
   MaxPayload 128 bytes, MaxReadReq 128 bytes
  DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
  LnkCap: Port #2, Speed 2.5GT/s, Width x16, ASPM L0s, Latency L0 <256ns, L1 <4us
   ClockPM- Suprise- LLActRep- BwNot-
  LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
   ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed 2.5GT/s, Width x16, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
  SltCap: AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surpise-
   Slot # 20, PowerLimit 75.000000; Interlock- NoCompl-
  SltCtl: Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
   Control: AttnInd Off, PwrInd On, Power- Interlock-
  SltSta: Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
   Changed: MRL- PresDet+ LinkState-
  RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
  RootCap: CRSVisible-
  RootSta: PME ReqID 0000, PMEStatus- PMEPending-
 Capabilities: [100] Virtual Channel <?>
 Capabilities: [140] Root Complex Link <?>
 Kernel driver in use: pcieport
 Kernel modules: shpchp

00:1b.0 Audio device [0403]: Intel Corporation N10/ICH 7 Family High Definition Audio Controller...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.